| Qore astparser Module 1.14.0

Loading...
Searching...
No Matches
Variables
AST Statement Kind Constants

## Variables
const | astparser::ASK_Block = ASK_Block
| Statement block statement kind.
const | astparser::ASK_Break = ASK_Break
| Break statement kind.
const | astparser::ASK_Call = ASK_Call
| Call statement kind.
const | astparser::ASK_Context = ASK_Context
| Context statement kind.
const | astparser::ASK_Continue = ASK_Continue
| Continue statement kind.
const | astparser::ASK_DoWhile = ASK_DoWhile
| Do-while statement kind.
const | astparser::ASK_Expression = ASK_Expression
| Expression statement kind.
const | astparser::ASK_For = ASK_For
| For statement kind.
const | astparser::ASK_Foreach = ASK_Foreach
| Foreach statement kind.
const | astparser::ASK_If = ASK_If
| If statement kind.
const | astparser::ASK_OnBlockExit = ASK_OnBlockExit
| On block exit (`on_exit`, `on_success`, `on_error`) statement kind.
const | astparser::ASK_Rethrow = ASK_Rethrow
| Rethrow statement kind.
const | astparser::ASK_Return = ASK_Return
| Return statement kind.
const | astparser::ASK_Summarize = ASK_Summarize
| Summarize statement kind.
const | astparser::ASK_Switch = ASK_Switch
| Switch statement kind.
const | astparser::ASK_ThreadExit = ASK_ThreadExit
| Thread exit statement kind.
const | astparser::ASK_Throw = ASK_Throw
| Throw statement kind.
const | astparser::ASK_Try = ASK_Try
| Try statement kind.
const | astparser::ASK_While = ASK_While
| While statement kind.

## Detailed Description